OGRE: Ogre::TextureAnimationControllerValue Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TextureAnimationControllerValue Class Reference

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates). More...

`#include <OgreTextureAnimationController.h>`

Inheritance diagram for Ogre::TextureAnimationControllerValue:
[legend]

## Public Member Functions
| TextureAnimationControllerValue (Ogre::HlmsDatablock *datablock, Ogre::uint8 textureUnit)
| Constructor. More...
Ogre::Real | getValue (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | rotationAnimation (bool rotate)
| rotationAnimation. More...
void | scaleAnimation (bool scaleU, bool scaleV)
| scaleAnimation. More...
void | scrollAnimation (bool translateU, bool translateV)
| scrollAnimation. More...
void | setValue (Ogre::Real value)
void | tiledAnimation (Ogre::uint16 numFramesHorizontal, Ogre::uint16 numFramesVertical)
| tiledAnimation. More...

## Detailed Description

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates).

Remarks
  Effects can be applied to the scale or the offset of the u or v coordinates, or both. If separate modifications are required to u and v then 2 instances are required to control both independently, or 4 if you want separate u and v scales as well as separate u and v offsets.

  Because of the nature of this value, it can accept values outside the 0..1 parametric range.

## Constructor & Destructor Documentation

## ◆ TextureAnimationControllerValue()

Ogre::TextureAnimationControllerValue::TextureAnimationControllerValue | ( | Ogre::HlmsDatablock * | datablock,
|  | Ogre::uint8 | textureUnit
| ) |  |

Constructor.

Parameters

  datablock | HlmsDatablock to apply the modification to.
  textureUnit | textureUnit to apply the modification to.

## Member Function Documentation

## ◆ getValue()

Ogre::Real Ogre::TextureAnimationControllerValue::getValue | ( | void |  | ) | const
| virtual

Implements Ogre::ControllerValue< Ogre::Real >.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ rotationAnimation()

void Ogre::TextureAnimationControllerValue::rotationAnimation | ( | bool | rotate | ) |

rotationAnimation.

Parameters

  rotate | If true, the texture will be rotated by the modification.

## ◆ scaleAnimation()

void Ogre::TextureAnimationControllerValue::scaleAnimation | ( | bool | scaleU,
|  | bool | scaleV
| ) |  |

scaleAnimation.

Parameters

  scaleU | If true, the u coordinates will be scaled by the modification.
  scaleV | If true, the v coordinates will be scaled by the modification.

## ◆ scrollAnimation()

void Ogre::TextureAnimationControllerValue::scrollAnimation | ( | bool | translateU,
|  | bool | translateV
| ) |  |

scrollAnimation.

Parameters

  textureUnit | textureUnit to apply the modification to.
  translateV | If true, the v coordinates will be translated by the modification.

## ◆ setValue()

void Ogre::TextureAnimationControllerValue::setValue | ( | Ogre::Real | value | ) |
| virtual

Implements Ogre::ControllerValue< Ogre::Real >.

## ◆ tiledAnimation()

void Ogre::TextureAnimationControllerValue::tiledAnimation | ( | Ogre::uint16 | numFramesHorizontal,
|  | Ogre::uint16 | numFramesVertical
| ) |  |

tiledAnimation.

Parameters

  numFramesHorizontal | number of horizontal tiles.
  numFramesVertical | number of vertical tiles.

The documentation for this class was generated from the following file:

- OgreTextureAnimationController.h